/* *************************************
 *                                     *
 *  JBoss: The OpenSource J2EE WebOS   *
 *                                     *
 *  Distributable under LGPL license.  *
 *  See terms of license at gnu.org.   *
 *                                     *
 ************************************* */
package org.jboss.injbossaop.web;

import java.io.IOException;

import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.jboss.injbossaop.ejb.ExampleSession;
import org.jboss.injbossaop.ejb.ExampleSessionHome;
import org.jboss.injbossaop.lib.ExampleValue;

/** 
 *  
 * @author <a href="mailto:kabirkhan@bigfoot.com">Kabir Khan</a>
 *
 */
public class EarExampleServlet extends HttpServlet {

   public void service(HttpServletRequest request, HttpServletResponse response)
         throws ServletException, IOException {
      try 
      {
         String s = request.getParameter("field1");
         System.out.println("**** EarExampleServlet.service()");
         
         InitialContext ctx = new InitialContext();
         Object obj = ctx.lookup("ExampleSession");
         ExampleSessionHome home = (ExampleSessionHome)PortableRemoteObject.narrow(obj, ExampleSessionHome.class);
         ExampleSession exSess = home.create();
         ExampleValue value = exSess.getValue(s); 
         
         request.getSession().setAttribute("exampleValue", new ExampleValue(s));
         request.getRequestDispatcher("/index.jsp").forward(request, response);
      } 
      catch (Exception e) 
      {
         e.printStackTrace();
         throw new ServletException(e);
      } 
   }
}
